Correction du problème : tentative de remplacement de [...], qui appartient aussi au paquet [...]

Lors d'une mise à jours de Debian 7 vers Debian 8, j'ai été confronté à un problème qui a complètement bloqué ma commande "apt-get"

Voici exactement le problème que j'avais :

Préparation du dépaquetage de .../php5-json_1.3.6-1_amd64.deb ...
Dépaquetage de php5-json (1.3.6-1) ...
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/php5-json_1.3.6-1_amd64.deb (--unpack) :
 tentative de remplacement de « /usr/include/php5/ext/json/php_json.h », qui appartient aussi au paquet php5-dev 5.5.22-1~dotdeb.1
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/php5-json_1.3.6-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Il parait que dans certains cas, un "apt-get -f install" peut régler le problème. Commencez donc par essayer cette commande mais si celle-ci ne marche toujours pas essayez ceci :

dpkg -i --force-overwrite /var/cache/apt/archives/php5-json_1.3.6-1_amd64.deb

Remplacez le nom du paquet dans la commande par celui retourné dans le code d'erreur. Puis exécutez un :

dpkg --configure -a 

Tout devrait rentrer dans l'ordre :)

Commentaires